﻿using System;
using System.Net.Http;
using System.Net;
using System.Diagnostics;
using System.Threading.Tasks;

namespace HttpClientMemoryLeak
{
	class MainClass
	{
		public static void Main (string[] args)
		{
			Console.WriteLine ("Starting...");
			Task.Run (TestGet);
			Console.ReadLine ();
		}

		public static async void TestGet()
		{
			try
			{
				while(true)
				{

					using (HttpClient client = new HttpClient (
						new HttpClientHandler {
							Credentials = new NetworkCredential("testuser", "&p7sdb") // input a user and pass from Windows
						}
					))
					{
						using(var response = await client.GetAsync ("http://213.133.123.153:8080"))
						{
							response.EnsureSuccessStatusCode ();
							Debug.WriteLine ($"{response.StatusCode}");
						}
					}
				}
			}
			catch(Exception ex)
			{
				Debug.WriteLine (ex.ToString ());
			}
		}
	}
}
